Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookSeason definitions. Useful for making re-usable pricing definitions
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
nameMultiLanguageStringLocalized name
valueSeasonExpression | nullList of intervals defining the season
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T06:50:03.887Z",
"updated_at": "2026-03-12T06:50:03.887Z",
"name": {
"default": "Hello",
"nl-NL": "Hallo"
},
"value": {
"intervals": [
{
"max": {
"day": 31,
"month": 11
},
"min": {
"day": 1,
"month": 0
}
}
],
"type": "recurring-date-range"
}
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
nameFilter<MultiLanguageString>Localized name
valueFilter<SeasonExpression | null>List of intervals defining the season
200A list of seasons with the selected columns
206Partial Content
GET /seasonscurl -X GET "https://api.bookingmood.com/v1/seasons?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Season> | Array<Partial<Season>>201The newly created seasons with the selected columns
POST /seasonscurl -X POST "https://api.bookingmood.com/v1/seasons" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
nameFilter<MultiLanguageString>Localized name
valueFilter<SeasonExpression | null>List of intervals defining the season
204The deleted seasons with the selected columns
DELETE /seasonscurl -X DELETE "https://api.bookingmood.com/v1/seasons" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
nameFilter<MultiLanguageString>Localized name
valueFilter<SeasonExpression | null>List of intervals defining the season
Partial<Season>204The updated seasons with the selected columns
PATCH /seasonscurl -X PATCH "https://api.bookingmood.com/v1/seasons" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'